<?php

header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");

include_once '../config/database.php'; 
include_once '../objects/room.php'; 

$database = new Database();
$db = $database->getConnection();

$room = new Room($db);

$stmt = $room->getAllRows();
$num = $stmt->rowCount();


$response = array();
$response["records"] = array();

if ($num > 0) {

    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
        extract($row); 

        $item = array(
            "id" => (int)$id,
            "room_number" => $room_number, 
            "room_type" => $room_type,
            "bed_type" => $bed_type,
            "max_occupancy" => $max_occupancy,
            "room_rate" => $room_rate,
            "extra_bed" => $extra_bed,
            "extra_person" => $extra_person,
            "remark" => $remark,
        );


        array_push($response["records"], $item);
    }
}


http_response_code(200);
echo json_encode($response);
?>
